/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 1999
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/**	OKDialog.h - Dialog, that requests only OK by the user.
 *	(Such as an error message.)
 *
 *	Andreas Beyer, 1998
 */
#ifndef Class_OKDialog
#define Class_OKDialog


#include <Foundation/NSObject.h>
#include <GToolKit/GToolKit.h>

@interface OKDialog : GTKDialog {
	GTKWidget* vbox_contents;
}
+OKDialogWithContents: (GTKWidget*) contents title: (NSString*) title;
-initWithContents: (GTKWidget*) contents title: (NSString*) title;
-(GTKWidget*) contents;

@end

#endif;	// Class_OKDialog
