/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 1999
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/*	SaveDialog 
		- opens a save dialog, 
		- asks the user for a file name,
		- checks whether the file exists
		- and returns the file name or NULL if no file selected
 * Andreas Beyer, 1999
 */
#ifndef Class_SaveDialog
#define Class_SaveDialog

#include <GToolKit/GToolKit.h>

@interface SaveDialog: GTKFileSelection {
}
+(NSString*)runDialogWithInitialPath: (NSString*) path;
+saveDialogWithInitialPath: (NSString*) path;
-initSaveDialogWithInitialPath: (NSString*) path;
-(void)stopWithTrue;
-(void)stopWithFalse;
@end

#endif // Class_SaveDialog
