/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 2000
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/
/* sx_intl.h */

#ifndef SX_INTL_HEADER
#define SX_INTL_HEADER

#include <libintl.h>
#include <Foundation/NSString.h>

#undef _()
#define _(SX_intl_string) gettext(SX_intl_string)
#define SXS(SX_intl_string) [NSString stringWithFormat: @"%s", gettext(SX_intl_string)]

#endif /* SX_INTL_HEADER */
