/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 1999
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

#ifndef Class_SXAction
#define Class_SXAction

#include <Foundation/NSString.h>

@interface SXAction: NSObject {
	NSString* name;
	id receiver;
	SEL action;
}
+actionWithName: (NSString*) name_of_action receiver: rec selector: (SEL) callback;
-initWithName:(NSString*) name_of_action receiver: rec selector: (SEL) callback;
-getReceiver;
-(SEL)getAction;
-(NSString*)getName;
@end

#endif // Class_SXAction
