/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 1999
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

#include "SXAction.h"

@implementation SXAction
+actionWithName: (NSString*) name_of_action receiver: rec selector: (SEL) callback {
	return [ (SXAction*) [[self alloc] autorelease]
		initWithName: name_of_action receiver: rec selector: callback ];

}
-initWithName:(NSString*) name_of_action receiver: rec selector: (SEL) callback {
	name = [name_of_action retain];
	receiver =  rec;
	action = callback;
	return self;
}
-getReceiver {
	return receiver;
}
-(SEL)getAction {
	return action;
}
-(NSString*)getName {
	return name;
}
-(unsigned)hash {
	return [name hash];
}
@end
