/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 1999
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/**	SXException.h - private Exceptions.
 *
 *	Andreas Beyer, 2000
 */
#ifndef SX_EXCEPTION_H
#define SX_EXCEPTION_H

#include <Foundation/NSString.h>
#include <Foundation/NSException.h>

/* Already defined are:
 *	extern NSString *NSInconsistentArchiveException;
 *	extern NSString *NSGenericException;
 *	extern NSString *NSInternalInconsistencyException;
 *	extern NSString *NSInvalidArgumentException;
 *	extern NSString *NSMallocException;
 *	extern NSString *NSRangeException;
 */

extern NSString * SXException;
extern NSString * SXStatistException;
extern NSString * SXCancelOperationException;
extern NSString * SXStatistFatalException;
extern NSString * SXOpenFileException;
extern NSString * SXEmptyColumnException;

#endif // SX_EXCEPTION_H
