/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 2000
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/**	SXException.m - private Exceptions.
 *
 *	Andreas Beyer, 1998
 */

#include <Foundation/NSString.h>
#include "SXException.h"

/* Already defined are:
 *	extern NSString *NSInconsistentArchiveException;
 *	extern NSString *NSGenericException;
 *	extern NSString *NSInternalInconsistencyException;
 *	extern NSString *NSInvalidArgumentException;
 *	extern NSString *NSMallocException;
 *	extern NSString *NSRangeException;
 */

NSString * SXException 			= @"Generic StatistX exception";
NSString * SXStatistException		= @"Exception caused by statist";
NSString * SXStatistFatalException	= @"Fatal exception in statist";
NSString * SXCancelOperationException= @"Operation canceled";
NSString * SXOpenFileException	= @"Unable to open file";
NSString * SXEmptyColumnException 	= @"Column contains no data";

